#include <bits/stdc++.h>
#define ll long long

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    ll A, B, X, Y, cif_A, cif_B;
    string sve = "";
    cin >> A >> B;
    if(A < B) swap(A, B);
    X = A, Y = B;
    while(B > 0)
    {
        cif_A = A%10;
        cif_B = B%10;
        if(cif_A > cif_B) {sve += to_string(cif_A);}
        else if(cif_B > cif_A) {sve += to_string(cif_B);}
        else {sve += to_string(cif_A); sve += to_string(cif_B);}
        A /= 10;
        B /= 10;
    }
    while(A > 0)
    {
        cif_A = A%10;
        sve += to_string(cif_A);
        A /= 10;
    }
    reverse(sve.begin(), sve.end());
    cout << stoll(sve) << endl;
    return 0;
}